### Hierarchy

- JsonFormsBaseRenderer<LabelElement>
  - LabelRenderer

## Index

### Constructors

- constructor

### Properties

- jsonFormsService
- label
- path
- schema
- subscription
- uischema
- visible

### Methods

- getOwnProps
- mapAdditionalProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new LabelRenderer(jsonFormsService: JsonFormsAngularService): LabelRenderer

- - Defined in angular-material/src/other/label.renderer.ts:67

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  #### Returns LabelRenderer

## Properties

### Private jsonFormsService

jsonFormsService: JsonFormsAngularService

- Defined in angular-material/src/other/label.renderer.ts:69

### label

label: string

- Defined in angular-material/src/other/label.renderer.ts:64

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in angular/lib/base.renderer.d.ts:4

### Private subscription

subscription: Subscription

- Defined in angular-material/src/other/label.renderer.ts:67

### uischema

uischema: LabelElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in angular/lib/base.renderer.d.ts:3

### visible

visible: boolean

- Defined in angular-material/src/other/label.renderer.ts:65

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### mapAdditionalProps

- mapAdditionalProps(): void

- - Defined in angular-material/src/other/label.renderer.ts:92

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in angular-material/src/other/label.renderer.ts:86

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in angular-material/src/other/label.renderer.ts:72

  #### Returns void

Generated using TypeDoc